package com.sqx.modules.bl.order.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.bl.order.entity.UserPackageDetail;

import java.util.List;

public interface UserPackageDetailService extends IService<UserPackageDetail> {
    Result findDetailUsedQuantity(UserPackageDetail userPackageDetail);
    List<UserPackageDetail> findMassagePackageDetails(UserPackageDetail userPackageDetail);
    int insert(UserPackageDetail userPackageDetail);
    Result findAppUsedQuantity(UserPackageDetail userPackageDetail);
    Result getMyPackageDetail(UserPackageDetail userPackageDetail);
    UserPackageDetail findMassagePackageDetailsUsed(Long mainId);
    int deleteDetailByMain(Long mainId);
}
